## opendht 3.0.1

=== debian/changelog ===
opendht (3.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062842

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:15:24 +0000

opendht (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update Maintainer to use my new @debian.org address

 -- Amin Bandali <bandali@debian.org>  Thu, 18 Jan 2024 23:32:40 -0500

opendht (3.0.0-4) unstable; urgency=medium

  * Add opendht-tools binary package, providing binaries for the
    various OpenDHT tools developed as part of the upstream code-base.
    (Closes: #866075, #1054359)

 -- Amin Bandali <bandali@gnu.org>  Sun, 22 Oct 2023 12:00:23 -0400

opendht (3.0.0-3) unstable; urgency=medium

  * debian/copyright: Fix Upstream-Name and update Upstream-Contact
  * debian/copyright: Add myself to copyright holders for debian/*
  * debian/control: Bump debhelper-compat to 13
  * debian/copyright: Update Savoir-faire Linux Inc. copyright years
  * debian/dhtnode.conf: Update bootstrap node address

 -- Amin Bandali <bandali@gnu.org>  Sat, 21 Oct 2023 20:25:23 -0400

opendht (3.0.0-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Mark some symbols optional to avoid FTBFS with LTO enabled

 -- Amin Bandali <bandali@gnu.org>  Sat, 30 Sep 2023 01:04:05 -0400

opendht (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Rename libopendht2 to libopendht3 and libopendht-c2 to
    libopendht-c3 due to SONAME bump (Closes: #1051972)
    - debian/libopendht-c3.install
    - debian/libopendht-c3.symbols
    - debian/libopendht3.install

  * Upload sponsored by Petter Reinholdtsen.

 -- Amin Bandali <bandali@gnu.org>  Sun, 24 Sep 2023 20:01:05 -0400

opendht (2.6.0.4-1) unstable; urgency=medium

  * New upstream release
  * Disable upstream unit tests that require network access
    - debian/rules

 -- Amin Bandali <bandali@gnu.org>  Mon, 11 Sep 2023 16:39:37 -0400

opendht (2.6.0.1-1) unstable; urgency=medium

  * New upstream release
  * Drop upstreamed patch
    - debian/patches/1010-man-page-formatting.patch

 -- Amin Bandali <bandali@gnu.org>  Sun, 10 Sep 2023 14:58:23 -0400

opendht (2.5.5-1) unstable; urgency=medium

  * New upstream release
  * Add new libcppunit-dev Build-Depends to debian/control and drop
    removed CMake options from debian/rules
  * debian/patches/1010-man-page-formatting.patch: forward upstream.
  * debian/patches/2000-cmake-python-no-build-install.patch: mark as
    'Forwarded: not-needed'.

 -- Amin Bandali <bandali@gnu.org>  Wed, 16 Aug 2023 22:31:43 -0400
